Page MenuHomePhabricator

loading pages without categories to Special:ContentTranslation produces a JavaScript error
Closed, ResolvedPublic

Description

The error comes from ext.cx.tools.categories.js line line 498.

You can test it with any article from https://es.wikipedia.org/wiki/Especial:P%C3%A1ginasSinCategorizar in the Spanish Wikipedia — for example, 'Andrew Wylie' (check that nobody added categories before you load it.)

There's a question of whether the screen should show "0 categories" in both columns or just nothing.

Event Timeline

Amire80 created this task.Dec 18 2014, 9:05 AM
Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 changed Security from none to None.
Amire80 added subscribers: Amire80, Pginer-WMF, Jsahleen.

There's a question of whether the screen should show "0 categories" in both columns, or just nothing

Just nothing

Arrbee moved this task from Backlog to Sprint 81 on the ContentTranslation-Release3 board.
santhosh claimed this task.Dec 23 2014, 5:51 AM

Change 181545 had a related patch set uploaded (by Santhosh):
Fix javascript error while loading a page with no categories

https://gerrit.wikimedia.org/r/181545

Patch-For-Review

santhosh triaged this task as Medium priority.Dec 23 2014, 5:53 AM
santhosh moved this task from Backlog to In Progress on the LE-Sprint-81 board.

Change 181545 merged by jenkins-bot:
Fix javascript error while loading a page with no categories

https://gerrit.wikimedia.org/r/181545

santhosh closed this task as Resolved.Dec 23 2014, 11:04 AM
santhosh moved this task from In Progress to Done on the LE-Sprint-81 board.
RandomDSdevel updated the task description. (Show Details)Mar 2 2015, 9:31 PM
RandomDSdevel awarded a token.